API Reference
Test a connector configuration
POST
/api/connectors/test
Instantiates a connector from the provided type and config (without persisting) and runs per-type validation checks.
Operation IDtestConnectorConfig
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Request body
This request body is required.
Content typeapplication/json
requestobject2 properties
typestringrequiredconfigobjectrequiredSuccess response body
200Test results
Test results
Content typeapplication/json
responseobject2 properties
okbooleanrequiredchecksarray<ConnectorCheck>requiredArray items
itemobject5 properties
namestringrequiredCheck name (e.g. Authenticate, Write probe)
okbooleanrequiredmessagestringShort friendly summary (set on failure)
errorobject3 properties
namestringrequiredError class name (e.g. MongoServerError)
messagestringrequiredRaw error message
codestringDriver/SDK error code
duration_msnumberrequired